package cn.exploring.engine.server.db.service;

import cn.exploring.engine.server.db.dao.AdminSystemMapper;
import cn.exploring.engine.server.db.domain.AdminSystem;
import cn.exploring.engine.server.db.domain.AdminSystemExample;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AdminSystemConfigService {
    @Resource
    private AdminSystemMapper systemMapper;

    public List<AdminSystem> queryAll() {
        AdminSystemExample example = new AdminSystemExample();
        example.or();
        return systemMapper.selectByExample(example);
    }
}
